Bug 865719 - python-urllib2_kerberos from epel5 is not compatible with Python 2.4
python-urllib2_kerberos from epel5 is not compatible with Python 2.4
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-urllib2_kerberos (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 04:55 EDT by Tomas Mlcoch
Modified: 2014-01-28 16:05 EST (History)
1 user (show)

See Also:
Fixed In Version: python-urllib2_kerberos-0.1.6-3.el5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 16:05:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diff (patch) (1016 bytes, application/octet-stream)
2012-10-12 04:55 EDT, Tomas Mlcoch
no flags Details

  None (edit)
Description Tomas Mlcoch 2012-10-12 04:55:57 EDT
Created attachment 625854 [details]
Diff (patch)

Description of problem:
python-urllib2_kerberos from epel5 uses some statements which are not compatible with Python 2.4 (which is default version of Python in RHEL5).

Version-Release number of selected component (if applicable):
0.1.6-3.el5

How reproducible:
always

I have already send a pull request witch patch to upstream:
https://bitbucket.org/tolsen/urllib2_kerberos/pull-request/1/modification-for-python-24-compatibility/diff
Comment 1 Fedora Update System 2014-01-13 07:43:14 EST
python-urllib2_kerberos-0.1.6-3.el5.2 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-3.el5.2
Comment 2 Fedora Update System 2014-01-13 15:08:08 EST
Package python-urllib2_kerberos-0.1.6-3.el5.2:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-urllib2_kerberos-0.1.6-3.el5.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0152/python-urllib2_kerberos-0.1.6-3.el5.2
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-01-28 16:05:37 EST
python-urllib2_kerberos-0.1.6-3.el5.2 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.